// LampTestDlg.cpp : implementation file
//

#include "stdafx.h"
#include "LampTest.h"
#include "LampTestDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

////////////////////////////////////////////////////////////////////////////
extern "C" __declspec(dllimport) void Usb_Qu_Open();
extern "C" __declspec(dllimport) void Usb_Qu_Close();
extern "C" __declspec(dllimport) int  Usb_Qu_Getstate();
extern "C" __declspec(dllimport) bool Usb_Qu_write(byte Qu_index, char Qu_type, char *pData);
/////////////////////////////////////////////////////////////////////////////


/////////////////////////////////////////////////////////////////////////////
// CLampTestDlg dialog

CLampTestDlg::CLampTestDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CLampTestDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CLampTestDlg)
	m_str = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CLampTestDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CLampTestDlg)
	DDX_Text(pDX, IDC_EDIT1, m_str);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CLampTestDlg, CDialog)
	//{{AFX_MSG_MAP(CLampTestDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
	ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLampTestDlg message handlers

BOOL CLampTestDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here

	Usb_Qu_Open();
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CLampTestDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CLampTestDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CLampTestDlg::OnDestroy() 
{
	CDialog::OnDestroy();

	Usb_Qu_Close();
	
	
	// TODO: Add your message handler code here
	
}

void CLampTestDlg::OnButton1() 
{
	// TODO: Add your control notification handler code here
	int i;

	i = Usb_Qu_Getstate();
	m_str = " Read Connect Usb  ";
	if(i & 0x1)	  m_str = m_str + "Index0(O), ";	
	else		  m_str = m_str + "Index0(X), ";	
	if(i & 0x2)	  m_str = m_str + "Index1(O), ";	
	else		  m_str = m_str + "Index1(X), ";	
	if(i & 0x4)	  m_str = m_str + "Index2(O), ";	
	else		  m_str = m_str + "Index2(X), ";	
	if(i & 0x8)	  m_str = m_str + "Index3(O), ";	
	else		  m_str = m_str + "Index3(X), ";	

	UpdateData(0);
	
}

void CLampTestDlg::OnButton2() 

{
	// TODO: Add your control notification handler code here


#define   C_index	0           // 
#define   C_type	0 

#define   D_not	      100            // Don't care  // Do not change before state
#define   C_lampoff	   0 
#define   C_lampon	    1 
#define   C_lampblink	2 


	bool b_chk;
	char c_char[6];

	c_char[0] = C_lampon;
	c_char[1] = C_lampblink;
	c_char[2] = C_lampoff;
	c_char[3] = D_not;
	c_char[4] = C_lampoff;
	c_char[5] = 3;
	

	b_chk = Usb_Qu_write(C_index,C_type,c_char);
	
	
	if(b_chk)	m_str = "  [Success send] ";
	else		m_str = "  [Send  Error] ";
	UpdateData(0);
	

}
